pragma Ada_95;
with System;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 4.8.0 20130307 (Red Hat 4.8.0-0.16)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_wsdl2aws" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#09aa7b35#;
   pragma Export (C, u00001, "wsdl2awsB");
   u00002 : constant Version_32 := 16#3935bd10#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#9e44d182#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00004, "adaS");
   u00005 : constant Version_32 := 16#576661f1#;
   pragma Export (C, u00005, "ada__command_lineB");
   u00006 : constant Version_32 := 16#df5044bd#;
   pragma Export (C, u00006, "ada__command_lineS");
   u00007 : constant Version_32 := 16#90249111#;
   pragma Export (C, u00007, "systemS");
   u00008 : constant Version_32 := 16#17775d6d#;
   pragma Export (C, u00008, "system__secondary_stackB");
   u00009 : constant Version_32 := 16#844ab6bf#;
   pragma Export (C, u00009, "system__secondary_stackS");
   u00010 : constant Version_32 := 16#27940d94#;
   pragma Export (C, u00010, "system__parametersB");
   u00011 : constant Version_32 := 16#26c69dd1#;
   pragma Export (C, u00011, "system__parametersS");
   u00012 : constant Version_32 := 16#0071025c#;
   pragma Export (C, u00012, "system__soft_linksB");
   u00013 : constant Version_32 := 16#fd7febcc#;
   pragma Export (C, u00013, "system__soft_linksS");
   u00014 : constant Version_32 := 16#2ed324af#;
   pragma Export (C, u00014, "ada__exceptionsB");
   u00015 : constant Version_32 := 16#ac6c9c48#;
   pragma Export (C, u00015, "ada__exceptionsS");
   u00016 : constant Version_32 := 16#16173147#;
   pragma Export (C, u00016, "ada__exceptions__last_chance_handlerB");
   u00017 : constant Version_32 := 16#1f42fb5e#;
   pragma Export (C, u00017, "ada__exceptions__last_chance_handlerS");
   u00018 : constant Version_32 := 16#7b9f0bae#;
   pragma Export (C, u00018, "system__exception_tableB");
   u00019 : constant Version_32 := 16#014a4db4#;
   pragma Export (C, u00019, "system__exception_tableS");
   u00020 : constant Version_32 := 16#5665ab64#;
   pragma Export (C, u00020, "system__htableB");
   u00021 : constant Version_32 := 16#138cdf1f#;
   pragma Export (C, u00021, "system__htableS");
   u00022 : constant Version_32 := 16#8b7dad61#;
   pragma Export (C, u00022, "system__string_hashB");
   u00023 : constant Version_32 := 16#b6b84985#;
   pragma Export (C, u00023, "system__string_hashS");
   u00024 : constant Version_32 := 16#aad75561#;
   pragma Export (C, u00024, "system__exceptionsB");
   u00025 : constant Version_32 := 16#9cda59a6#;
   pragma Export (C, u00025, "system__exceptionsS");
   u00026 : constant Version_32 := 16#010db1dc#;
   pragma Export (C, u00026, "system__exceptions_debugB");
   u00027 : constant Version_32 := 16#a854b4c5#;
   pragma Export (C, u00027, "system__exceptions_debugS");
   u00028 : constant Version_32 := 16#b012ff50#;
   pragma Export (C, u00028, "system__img_intB");
   u00029 : constant Version_32 := 16#92ff71d3#;
   pragma Export (C, u00029, "system__img_intS");
   u00030 : constant Version_32 := 16#ace32e1e#;
   pragma Export (C, u00030, "system__storage_elementsB");
   u00031 : constant Version_32 := 16#6ae9ec89#;
   pragma Export (C, u00031, "system__storage_elementsS");
   u00032 : constant Version_32 := 16#dc8e33ed#;
   pragma Export (C, u00032, "system__tracebackB");
   u00033 : constant Version_32 := 16#f1a34564#;
   pragma Export (C, u00033, "system__tracebackS");
   u00034 : constant Version_32 := 16#907d882f#;
   pragma Export (C, u00034, "system__wch_conB");
   u00035 : constant Version_32 := 16#2fcfbf2c#;
   pragma Export (C, u00035, "system__wch_conS");
   u00036 : constant Version_32 := 16#22fed88a#;
   pragma Export (C, u00036, "system__wch_stwB");
   u00037 : constant Version_32 := 16#02de932d#;
   pragma Export (C, u00037, "system__wch_stwS");
   u00038 : constant Version_32 := 16#b8a9e30d#;
   pragma Export (C, u00038, "system__wch_cnvB");
   u00039 : constant Version_32 := 16#313139fa#;
   pragma Export (C, u00039, "system__wch_cnvS");
   u00040 : constant Version_32 := 16#129923ea#;
   pragma Export (C, u00040, "interfacesS");
   u00041 : constant Version_32 := 16#75729fba#;
   pragma Export (C, u00041, "system__wch_jisB");
   u00042 : constant Version_32 := 16#6543a2ee#;
   pragma Export (C, u00042, "system__wch_jisS");
   u00043 : constant Version_32 := 16#ada34a87#;
   pragma Export (C, u00043, "system__traceback_entriesB");
   u00044 : constant Version_32 := 16#c2057f50#;
   pragma Export (C, u00044, "system__traceback_entriesS");
   u00045 : constant Version_32 := 16#4f750b3b#;
   pragma Export (C, u00045, "system__stack_checkingB");
   u00046 : constant Version_32 := 16#33862d3d#;
   pragma Export (C, u00046, "system__stack_checkingS");
   u00047 : constant Version_32 := 16#af50e98f#;
   pragma Export (C, u00047, "ada__stringsS");
   u00048 : constant Version_32 := 16#261c554b#;
   pragma Export (C, u00048, "ada__strings__unboundedB");
   u00049 : constant Version_32 := 16#2bf53506#;
   pragma Export (C, u00049, "ada__strings__unboundedS");
   u00050 : constant Version_32 := 16#7b7cedaa#;
   pragma Export (C, u00050, "ada__strings__searchB");
   u00051 : constant Version_32 := 16#b5a8c1d6#;
   pragma Export (C, u00051, "ada__strings__searchS");
   u00052 : constant Version_32 := 16#96e9c1e7#;
   pragma Export (C, u00052, "ada__strings__mapsB");
   u00053 : constant Version_32 := 16#24318e4c#;
   pragma Export (C, u00053, "ada__strings__mapsS");
   u00054 : constant Version_32 := 16#1856bbe2#;
   pragma Export (C, u00054, "system__bit_opsB");
   u00055 : constant Version_32 := 16#c30e4013#;
   pragma Export (C, u00055, "system__bit_opsS");
   u00056 : constant Version_32 := 16#fac5cd67#;
   pragma Export (C, u00056, "system__unsigned_typesS");
   u00057 : constant Version_32 := 16#12c24a43#;
   pragma Export (C, u00057, "ada__charactersS");
   u00058 : constant Version_32 := 16#051b1b7b#;
   pragma Export (C, u00058, "ada__characters__latin_1S");
   u00059 : constant Version_32 := 16#afd62b40#;
   pragma Export (C, u00059, "ada__tagsB");
   u00060 : constant Version_32 := 16#39106b41#;
   pragma Export (C, u00060, "ada__tagsS");
   u00061 : constant Version_32 := 16#25c21d28#;
   pragma Export (C, u00061, "system__val_lluB");
   u00062 : constant Version_32 := 16#80379a15#;
   pragma Export (C, u00062, "system__val_lluS");
   u00063 : constant Version_32 := 16#aea309ed#;
   pragma Export (C, u00063, "system__val_utilB");
   u00064 : constant Version_32 := 16#3c8427ef#;
   pragma Export (C, u00064, "system__val_utilS");
   u00065 : constant Version_32 := 16#b7fa72e7#;
   pragma Export (C, u00065, "system__case_utilB");
   u00066 : constant Version_32 := 16#3d38f199#;
   pragma Export (C, u00066, "system__case_utilS");
   u00067 : constant Version_32 := 16#c4857ee1#;
   pragma Export (C, u00067, "system__compare_array_unsigned_8B");
   u00068 : constant Version_32 := 16#4a1f67dc#;
   pragma Export (C, u00068, "system__compare_array_unsigned_8S");
   u00069 : constant Version_32 := 16#9d3d925a#;
   pragma Export (C, u00069, "system__address_operationsB");
   u00070 : constant Version_32 := 16#505a7886#;
   pragma Export (C, u00070, "system__address_operationsS");
   u00071 : constant Version_32 := 16#1fd820b1#;
   pragma Export (C, u00071, "system__storage_pools__subpoolsB");
   u00072 : constant Version_32 := 16#951e0de9#;
   pragma Export (C, u00072, "system__storage_pools__subpoolsS");
   u00073 : constant Version_32 := 16#57a37a42#;
   pragma Export (C, u00073, "system__address_imageB");
   u00074 : constant Version_32 := 16#31c80c2b#;
   pragma Export (C, u00074, "system__address_imageS");
   u00075 : constant Version_32 := 16#91d2300e#;
   pragma Export (C, u00075, "system__finalization_mastersB");
   u00076 : constant Version_32 := 16#fad13d3d#;
   pragma Export (C, u00076, "system__finalization_mastersS");
   u00077 : constant Version_32 := 16#7268f812#;
   pragma Export (C, u00077, "system__img_boolB");
   u00078 : constant Version_32 := 16#65fde0fa#;
   pragma Export (C, u00078, "system__img_boolS");
   u00079 : constant Version_32 := 16#d7aac20c#;
   pragma Export (C, u00079, "system__ioB");
   u00080 : constant Version_32 := 16#0e66665e#;
   pragma Export (C, u00080, "system__ioS");
   u00081 : constant Version_32 := 16#8cbe6205#;
   pragma Export (C, u00081, "ada__finalizationB");
   u00082 : constant Version_32 := 16#22e22193#;
   pragma Export (C, u00082, "ada__finalizationS");
   u00083 : constant Version_32 := 16#1358602f#;
   pragma Export (C, u00083, "ada__streamsS");
   u00084 : constant Version_32 := 16#95817ed8#;
   pragma Export (C, u00084, "system__finalization_rootB");
   u00085 : constant Version_32 := 16#dfd6e281#;
   pragma Export (C, u00085, "system__finalization_rootS");
   u00086 : constant Version_32 := 16#a7a37cb6#;
   pragma Export (C, u00086, "system__storage_poolsB");
   u00087 : constant Version_32 := 16#438a8e7c#;
   pragma Export (C, u00087, "system__storage_poolsS");
   u00088 : constant Version_32 := 16#1777d351#;
   pragma Export (C, u00088, "system__storage_pools__subpools__finalizationB");
   u00089 : constant Version_32 := 16#12aaf1de#;
   pragma Export (C, u00089, "system__storage_pools__subpools__finalizationS");
   u00090 : constant Version_32 := 16#3b8ad87b#;
   pragma Export (C, u00090, "system__atomic_countersB");
   u00091 : constant Version_32 := 16#dab8fda5#;
   pragma Export (C, u00091, "system__atomic_countersS");
   u00092 : constant Version_32 := 16#a6e358bc#;
   pragma Export (C, u00092, "system__stream_attributesB");
   u00093 : constant Version_32 := 16#e89b4b3f#;
   pragma Export (C, u00093, "system__stream_attributesS");
   u00094 : constant Version_32 := 16#b46168d5#;
   pragma Export (C, u00094, "ada__io_exceptionsS");
   u00095 : constant Version_32 := 16#30d8d53e#;
   pragma Export (C, u00095, "ada__text_ioB");
   u00096 : constant Version_32 := 16#dac0d159#;
   pragma Export (C, u00096, "ada__text_ioS");
   u00097 : constant Version_32 := 16#53190229#;
   pragma Export (C, u00097, "interfaces__c_streamsB");
   u00098 : constant Version_32 := 16#3ebb5e8e#;
   pragma Export (C, u00098, "interfaces__c_streamsS");
   u00099 : constant Version_32 := 16#3862161f#;
   pragma Export (C, u00099, "system__crtlS");
   u00100 : constant Version_32 := 16#35bbd729#;
   pragma Export (C, u00100, "system__file_ioB");
   u00101 : constant Version_32 := 16#b2cb55f7#;
   pragma Export (C, u00101, "system__file_ioS");
   u00102 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00102, "interfaces__cB");
   u00103 : constant Version_32 := 16#f05a3eb1#;
   pragma Export (C, u00103, "interfaces__cS");
   u00104 : constant Version_32 := 16#9f990c8b#;
   pragma Export (C, u00104, "interfaces__c__stringsB");
   u00105 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00105, "interfaces__c__stringsS");
   u00106 : constant Version_32 := 16#17d70f63#;
   pragma Export (C, u00106, "system__crtl__runtimeS");
   u00107 : constant Version_32 := 16#f869fb01#;
   pragma Export (C, u00107, "system__os_libB");
   u00108 : constant Version_32 := 16#89dce9aa#;
   pragma Export (C, u00108, "system__os_libS");
   u00109 : constant Version_32 := 16#4cd8aca0#;
   pragma Export (C, u00109, "system__stringsB");
   u00110 : constant Version_32 := 16#27cedbd5#;
   pragma Export (C, u00110, "system__stringsS");
   u00111 : constant Version_32 := 16#c5051f01#;
   pragma Export (C, u00111, "system__file_control_blockS");
   u00112 : constant Version_32 := 16#ba5d60c7#;
   pragma Export (C, u00112, "system__pool_globalB");
   u00113 : constant Version_32 := 16#d56df0a6#;
   pragma Export (C, u00113, "system__pool_globalS");
   u00114 : constant Version_32 := 16#3d0b17cc#;
   pragma Export (C, u00114, "system__memoryB");
   u00115 : constant Version_32 := 16#5aaf2d04#;
   pragma Export (C, u00115, "system__memoryS");
   u00116 : constant Version_32 := 16#58a41566#;
   pragma Export (C, u00116, "awsS");
   u00117 : constant Version_32 := 16#ae8b84bc#;
   pragma Export (C, u00117, "aws__clientB");
   u00118 : constant Version_32 := 16#dd4ac4e7#;
   pragma Export (C, u00118, "aws__clientS");
   u00119 : constant Version_32 := 16#20ad50cd#;
   pragma Export (C, u00119, "ada__streams__stream_ioB");
   u00120 : constant Version_32 := 16#31db4e88#;
   pragma Export (C, u00120, "ada__streams__stream_ioS");
   u00121 : constant Version_32 := 16#5de653db#;
   pragma Export (C, u00121, "system__communicationB");
   u00122 : constant Version_32 := 16#a464f5f8#;
   pragma Export (C, u00122, "system__communicationS");
   u00123 : constant Version_32 := 16#914b496f#;
   pragma Export (C, u00123, "ada__strings__fixedB");
   u00124 : constant Version_32 := 16#dc686502#;
   pragma Export (C, u00124, "ada__strings__fixedS");
   u00125 : constant Version_32 := 16#c1ef7863#;
   pragma Export (C, u00125, "aws__client__http_utilsB");
   u00126 : constant Version_32 := 16#cc7dba5d#;
   pragma Export (C, u00126, "aws__client__http_utilsS");
   u00127 : constant Version_32 := 16#6239f067#;
   pragma Export (C, u00127, "ada__characters__handlingB");
   u00128 : constant Version_32 := 16#3006d996#;
   pragma Export (C, u00128, "ada__characters__handlingS");
   u00129 : constant Version_32 := 16#7a69aa90#;
   pragma Export (C, u00129, "ada__strings__maps__constantsS");
   u00130 : constant Version_32 := 16#15050063#;
   pragma Export (C, u00130, "aws__digestB");
   u00131 : constant Version_32 := 16#f1096f69#;
   pragma Export (C, u00131, "aws__digestS");
   u00132 : constant Version_32 := 16#ebdf2801#;
   pragma Export (C, u00132, "ada__real_timeB");
   u00133 : constant Version_32 := 16#41de19c7#;
   pragma Export (C, u00133, "ada__real_timeS");
   u00134 : constant Version_32 := 16#7384e8d6#;
   pragma Export (C, u00134, "system__arith_64B");
   u00135 : constant Version_32 := 16#c2f01709#;
   pragma Export (C, u00135, "system__arith_64S");
   u00136 : constant Version_32 := 16#52c41c4b#;
   pragma Export (C, u00136, "system__taskingB");
   u00137 : constant Version_32 := 16#bfe11065#;
   pragma Export (C, u00137, "system__taskingS");
   u00138 : constant Version_32 := 16#1659edba#;
   pragma Export (C, u00138, "system__task_primitivesS");
   u00139 : constant Version_32 := 16#e0522444#;
   pragma Export (C, u00139, "system__os_interfaceB");
   u00140 : constant Version_32 := 16#498cc8ae#;
   pragma Export (C, u00140, "system__os_interfaceS");
   u00141 : constant Version_32 := 16#e0e35a54#;
   pragma Export (C, u00141, "system__linuxS");
   u00142 : constant Version_32 := 16#532be7ee#;
   pragma Export (C, u00142, "system__os_constantsS");
   u00143 : constant Version_32 := 16#b4921ea2#;
   pragma Export (C, u00143, "system__task_primitives__operationsB");
   u00144 : constant Version_32 := 16#74a4c38b#;
   pragma Export (C, u00144, "system__task_primitives__operationsS");
   u00145 : constant Version_32 := 16#903909a4#;
   pragma Export (C, u00145, "system__interrupt_managementB");
   u00146 : constant Version_32 := 16#1034f58f#;
   pragma Export (C, u00146, "system__interrupt_managementS");
   u00147 : constant Version_32 := 16#f65595cf#;
   pragma Export (C, u00147, "system__multiprocessorsB");
   u00148 : constant Version_32 := 16#a8880e62#;
   pragma Export (C, u00148, "system__multiprocessorsS");
   u00149 : constant Version_32 := 16#22d03640#;
   pragma Export (C, u00149, "system__os_primitivesB");
   u00150 : constant Version_32 := 16#20f51d38#;
   pragma Export (C, u00150, "system__os_primitivesS");
   u00151 : constant Version_32 := 16#e7299166#;
   pragma Export (C, u00151, "system__stack_checking__operationsB");
   u00152 : constant Version_32 := 16#49df1cef#;
   pragma Export (C, u00152, "system__stack_checking__operationsS");
   u00153 : constant Version_32 := 16#3d54d5f6#;
   pragma Export (C, u00153, "system__task_infoB");
   u00154 : constant Version_32 := 16#229e9341#;
   pragma Export (C, u00154, "system__task_infoS");
   u00155 : constant Version_32 := 16#1872c2a7#;
   pragma Export (C, u00155, "system__tasking__debugB");
   u00156 : constant Version_32 := 16#8c562538#;
   pragma Export (C, u00156, "system__tasking__debugS");
   u00157 : constant Version_32 := 16#39591e91#;
   pragma Export (C, u00157, "system__concat_2B");
   u00158 : constant Version_32 := 16#6bf463ed#;
   pragma Export (C, u00158, "system__concat_2S");
   u00159 : constant Version_32 := 16#ae97ef6c#;
   pragma Export (C, u00159, "system__concat_3B");
   u00160 : constant Version_32 := 16#e60e937b#;
   pragma Export (C, u00160, "system__concat_3S");
   u00161 : constant Version_32 := 16#c9fdc962#;
   pragma Export (C, u00161, "system__concat_6B");
   u00162 : constant Version_32 := 16#57ee6405#;
   pragma Export (C, u00162, "system__concat_6S");
   u00163 : constant Version_32 := 16#def1dd00#;
   pragma Export (C, u00163, "system__concat_5B");
   u00164 : constant Version_32 := 16#801d5fb0#;
   pragma Export (C, u00164, "system__concat_5S");
   u00165 : constant Version_32 := 16#3493e6c0#;
   pragma Export (C, u00165, "system__concat_4B");
   u00166 : constant Version_32 := 16#927b72af#;
   pragma Export (C, u00166, "system__concat_4S");
   u00167 : constant Version_32 := 16#1eab0e09#;
   pragma Export (C, u00167, "system__img_enum_newB");
   u00168 : constant Version_32 := 16#17235ae1#;
   pragma Export (C, u00168, "system__img_enum_newS");
   u00169 : constant Version_32 := 16#9777733a#;
   pragma Export (C, u00169, "system__img_lliB");
   u00170 : constant Version_32 := 16#816bc4c0#;
   pragma Export (C, u00170, "system__img_lliS");
   u00171 : constant Version_32 := 16#06417083#;
   pragma Export (C, u00171, "system__img_lluB");
   u00172 : constant Version_32 := 16#b30ccda4#;
   pragma Export (C, u00172, "system__img_lluS");
   u00173 : constant Version_32 := 16#c959d75d#;
   pragma Export (C, u00173, "system__stack_usageB");
   u00174 : constant Version_32 := 16#a5188558#;
   pragma Export (C, u00174, "system__stack_usageS");
   u00175 : constant Version_32 := 16#93592bca#;
   pragma Export (C, u00175, "aws__translatorB");
   u00176 : constant Version_32 := 16#ff94e31c#;
   pragma Export (C, u00176, "aws__translatorS");
   u00177 : constant Version_32 := 16#07c63e9c#;
   pragma Export (C, u00177, "aws__resourcesB");
   u00178 : constant Version_32 := 16#034dcdb2#;
   pragma Export (C, u00178, "aws__resourcesS");
   u00179 : constant Version_32 := 16#79c8ecbe#;
   pragma Export (C, u00179, "aws__resources__embeddedB");
   u00180 : constant Version_32 := 16#f849ea1b#;
   pragma Export (C, u00180, "aws__resources__embeddedS");
   u00181 : constant Version_32 := 16#5e196e91#;
   pragma Export (C, u00181, "ada__containersS");
   u00182 : constant Version_32 := 16#654e2c4c#;
   pragma Export (C, u00182, "ada__containers__hash_tablesS");
   u00183 : constant Version_32 := 16#c24eaf4d#;
   pragma Export (C, u00183, "ada__containers__prime_numbersB");
   u00184 : constant Version_32 := 16#6d3af8ed#;
   pragma Export (C, u00184, "ada__containers__prime_numbersS");
   u00185 : constant Version_32 := 16#bd084245#;
   pragma Export (C, u00185, "ada__strings__hashB");
   u00186 : constant Version_32 := 16#fe83f2e7#;
   pragma Export (C, u00186, "ada__strings__hashS");
   u00187 : constant Version_32 := 16#23823b56#;
   pragma Export (C, u00187, "aws__resources__streamsB");
   u00188 : constant Version_32 := 16#e977adac#;
   pragma Export (C, u00188, "aws__resources__streamsS");
   u00189 : constant Version_32 := 16#48860332#;
   pragma Export (C, u00189, "aws__resources__streams__zlibB");
   u00190 : constant Version_32 := 16#a6153e9d#;
   pragma Export (C, u00190, "aws__resources__streams__zlibS");
   u00191 : constant Version_32 := 16#2d08d4ae#;
   pragma Export (C, u00191, "system__assertionsB");
   u00192 : constant Version_32 := 16#338077ba#;
   pragma Export (C, u00192, "system__assertionsS");
   u00193 : constant Version_32 := 16#ce0e2acb#;
   pragma Export (C, u00193, "system__strings__stream_opsB");
   u00194 : constant Version_32 := 16#8453d1c6#;
   pragma Export (C, u00194, "system__strings__stream_opsS");
   u00195 : constant Version_32 := 16#f47990db#;
   pragma Export (C, u00195, "aws__resources__streams__memoryB");
   u00196 : constant Version_32 := 16#11b8672d#;
   pragma Export (C, u00196, "aws__resources__streams__memoryS");
   u00197 : constant Version_32 := 16#3ffedafd#;
   pragma Export (C, u00197, "aws__containersS");
   u00198 : constant Version_32 := 16#ea28c859#;
   pragma Export (C, u00198, "aws__containers__memory_streamsB");
   u00199 : constant Version_32 := 16#5a35c4ad#;
   pragma Export (C, u00199, "aws__containers__memory_streamsS");
   u00200 : constant Version_32 := 16#91b54b7d#;
   pragma Export (C, u00200, "aws__utilsB");
   u00201 : constant Version_32 := 16#57af8aae#;
   pragma Export (C, u00201, "aws__utilsS");
   u00202 : constant Version_32 := 16#8ba0787e#;
   pragma Export (C, u00202, "ada__calendarB");
   u00203 : constant Version_32 := 16#e791e294#;
   pragma Export (C, u00203, "ada__calendarS");
   u00204 : constant Version_32 := 16#e3cca715#;
   pragma Export (C, u00204, "ada__calendar__time_zonesB");
   u00205 : constant Version_32 := 16#98f012d7#;
   pragma Export (C, u00205, "ada__calendar__time_zonesS");
   u00206 : constant Version_32 := 16#f64b89a4#;
   pragma Export (C, u00206, "ada__integer_text_ioB");
   u00207 : constant Version_32 := 16#f1daf268#;
   pragma Export (C, u00207, "ada__integer_text_ioS");
   u00208 : constant Version_32 := 16#f6fdca1c#;
   pragma Export (C, u00208, "ada__text_io__integer_auxB");
   u00209 : constant Version_32 := 16#b9793d30#;
   pragma Export (C, u00209, "ada__text_io__integer_auxS");
   u00210 : constant Version_32 := 16#7ec503e8#;
   pragma Export (C, u00210, "ada__text_io__generic_auxB");
   u00211 : constant Version_32 := 16#a6c327d3#;
   pragma Export (C, u00211, "ada__text_io__generic_auxS");
   u00212 : constant Version_32 := 16#ef6c8032#;
   pragma Export (C, u00212, "system__img_biuB");
   u00213 : constant Version_32 := 16#3ce7452a#;
   pragma Export (C, u00213, "system__img_biuS");
   u00214 : constant Version_32 := 16#10618bf9#;
   pragma Export (C, u00214, "system__img_llbB");
   u00215 : constant Version_32 := 16#7d2055d4#;
   pragma Export (C, u00215, "system__img_llbS");
   u00216 : constant Version_32 := 16#f931f062#;
   pragma Export (C, u00216, "system__img_llwB");
   u00217 : constant Version_32 := 16#d44c7642#;
   pragma Export (C, u00217, "system__img_llwS");
   u00218 : constant Version_32 := 16#b532ff4e#;
   pragma Export (C, u00218, "system__img_wiuB");
   u00219 : constant Version_32 := 16#52a6c2b8#;
   pragma Export (C, u00219, "system__img_wiuS");
   u00220 : constant Version_32 := 16#c31442ce#;
   pragma Export (C, u00220, "system__val_intB");
   u00221 : constant Version_32 := 16#d881bb2e#;
   pragma Export (C, u00221, "system__val_intS");
   u00222 : constant Version_32 := 16#79817c71#;
   pragma Export (C, u00222, "system__val_unsB");
   u00223 : constant Version_32 := 16#ea6d205c#;
   pragma Export (C, u00223, "system__val_unsS");
   u00224 : constant Version_32 := 16#d3757657#;
   pragma Export (C, u00224, "system__val_lliB");
   u00225 : constant Version_32 := 16#0a0077b1#;
   pragma Export (C, u00225, "system__val_lliS");
   u00226 : constant Version_32 := 16#84ad4a42#;
   pragma Export (C, u00226, "ada__numericsS");
   u00227 : constant Version_32 := 16#7620113d#;
   pragma Export (C, u00227, "ada__numerics__long_elementary_functionsB");
   u00228 : constant Version_32 := 16#e948d6ae#;
   pragma Export (C, u00228, "ada__numerics__long_elementary_functionsS");
   u00229 : constant Version_32 := 16#3e0cf54d#;
   pragma Export (C, u00229, "ada__numerics__auxB");
   u00230 : constant Version_32 := 16#9f6e24ed#;
   pragma Export (C, u00230, "ada__numerics__auxS");
   u00231 : constant Version_32 := 16#4f1f4f21#;
   pragma Export (C, u00231, "system__fat_llfS");
   u00232 : constant Version_32 := 16#9f9feadf#;
   pragma Export (C, u00232, "system__machine_codeS");
   u00233 : constant Version_32 := 16#0be1b996#;
   pragma Export (C, u00233, "system__exn_llfB");
   u00234 : constant Version_32 := 16#11a08ffe#;
   pragma Export (C, u00234, "system__exn_llfS");
   u00235 : constant Version_32 := 16#35cfe1cb#;
   pragma Export (C, u00235, "system__fat_lfltS");
   u00236 : constant Version_32 := 16#169eb23c#;
   pragma Export (C, u00236, "ada__task_identificationB");
   u00237 : constant Version_32 := 16#52b9cc6b#;
   pragma Export (C, u00237, "ada__task_identificationS");
   u00238 : constant Version_32 := 16#d2bce054#;
   pragma Export (C, u00238, "system__tasking__utilitiesB");
   u00239 : constant Version_32 := 16#5f437348#;
   pragma Export (C, u00239, "system__tasking__utilitiesS");
   u00240 : constant Version_32 := 16#6b472777#;
   pragma Export (C, u00240, "system__tasking__initializationB");
   u00241 : constant Version_32 := 16#9468d5af#;
   pragma Export (C, u00241, "system__tasking__initializationS");
   u00242 : constant Version_32 := 16#12b846a5#;
   pragma Export (C, u00242, "system__soft_links__taskingB");
   u00243 : constant Version_32 := 16#6ac0d6d0#;
   pragma Export (C, u00243, "system__soft_links__taskingS");
   u00244 : constant Version_32 := 16#17d21067#;
   pragma Export (C, u00244, "ada__exceptions__is_null_occurrenceB");
   u00245 : constant Version_32 := 16#d832eaef#;
   pragma Export (C, u00245, "ada__exceptions__is_null_occurrenceS");
   u00246 : constant Version_32 := 16#b892e5ab#;
   pragma Export (C, u00246, "system__tasking__queuingB");
   u00247 : constant Version_32 := 16#5b69ac57#;
   pragma Export (C, u00247, "system__tasking__queuingS");
   u00248 : constant Version_32 := 16#78928eb3#;
   pragma Export (C, u00248, "system__tasking__protected_objectsB");
   u00249 : constant Version_32 := 16#09cb1bb5#;
   pragma Export (C, u00249, "system__tasking__protected_objectsS");
   u00250 : constant Version_32 := 16#ee80728a#;
   pragma Export (C, u00250, "system__tracesB");
   u00251 : constant Version_32 := 16#6239f9bb#;
   pragma Export (C, u00251, "system__tracesS");
   u00252 : constant Version_32 := 16#4861433c#;
   pragma Export (C, u00252, "system__tasking__protected_objects__entriesB");
   u00253 : constant Version_32 := 16#4d64e3b6#;
   pragma Export (C, u00253, "system__tasking__protected_objects__entriesS");
   u00254 : constant Version_32 := 16#386436bc#;
   pragma Export (C, u00254, "system__restrictionsB");
   u00255 : constant Version_32 := 16#dce92198#;
   pragma Export (C, u00255, "system__restrictionsS");
   u00256 : constant Version_32 := 16#bd6fc52e#;
   pragma Export (C, u00256, "system__traces__taskingB");
   u00257 : constant Version_32 := 16#55cf3c43#;
   pragma Export (C, u00257, "system__traces__taskingS");
   u00258 : constant Version_32 := 16#d5f9759f#;
   pragma Export (C, u00258, "ada__text_io__float_auxB");
   u00259 : constant Version_32 := 16#f854caf5#;
   pragma Export (C, u00259, "ada__text_io__float_auxS");
   u00260 : constant Version_32 := 16#6d0081c3#;
   pragma Export (C, u00260, "system__img_realB");
   u00261 : constant Version_32 := 16#578cc0f3#;
   pragma Export (C, u00261, "system__img_realS");
   u00262 : constant Version_32 := 16#1b28662b#;
   pragma Export (C, u00262, "system__float_controlB");
   u00263 : constant Version_32 := 16#70d8d22d#;
   pragma Export (C, u00263, "system__float_controlS");
   u00264 : constant Version_32 := 16#194ccd7b#;
   pragma Export (C, u00264, "system__img_unsB");
   u00265 : constant Version_32 := 16#6531f190#;
   pragma Export (C, u00265, "system__img_unsS");
   u00266 : constant Version_32 := 16#c054f766#;
   pragma Export (C, u00266, "system__powten_tableS");
   u00267 : constant Version_32 := 16#8ff77155#;
   pragma Export (C, u00267, "system__val_realB");
   u00268 : constant Version_32 := 16#6e0de600#;
   pragma Export (C, u00268, "system__val_realS");
   u00269 : constant Version_32 := 16#ce7e5e67#;
   pragma Export (C, u00269, "aws__os_libS");
   u00270 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00270, "gnatS");
   u00271 : constant Version_32 := 16#3ff16a6d#;
   pragma Export (C, u00271, "gnat__os_libS");
   u00272 : constant Version_32 := 16#dd13bf65#;
   pragma Export (C, u00272, "system__exn_lliB");
   u00273 : constant Version_32 := 16#11b3eabe#;
   pragma Export (C, u00273, "system__exn_lliS");
   u00274 : constant Version_32 := 16#276453b7#;
   pragma Export (C, u00274, "system__img_lldB");
   u00275 : constant Version_32 := 16#63069878#;
   pragma Export (C, u00275, "system__img_lldS");
   u00276 : constant Version_32 := 16#8da1623b#;
   pragma Export (C, u00276, "system__img_decB");
   u00277 : constant Version_32 := 16#3e0998ca#;
   pragma Export (C, u00277, "system__img_decS");
   u00278 : constant Version_32 := 16#8053c412#;
   pragma Export (C, u00278, "system__random_numbersB");
   u00279 : constant Version_32 := 16#dc0e8df1#;
   pragma Export (C, u00279, "system__random_numbersS");
   u00280 : constant Version_32 := 16#7d397bc7#;
   pragma Export (C, u00280, "system__random_seedB");
   u00281 : constant Version_32 := 16#8318c9c8#;
   pragma Export (C, u00281, "system__random_seedS");
   u00282 : constant Version_32 := 16#84c1a39b#;
   pragma Export (C, u00282, "system__tasking__protected_objects__operationsB");
   u00283 : constant Version_32 := 16#a9cb954d#;
   pragma Export (C, u00283, "system__tasking__protected_objects__operationsS");
   u00284 : constant Version_32 := 16#f81293e6#;
   pragma Export (C, u00284, "system__tasking__entry_callsB");
   u00285 : constant Version_32 := 16#837d42fa#;
   pragma Export (C, u00285, "system__tasking__entry_callsS");
   u00286 : constant Version_32 := 16#da47006c#;
   pragma Export (C, u00286, "system__tasking__rendezvousB");
   u00287 : constant Version_32 := 16#592e9c02#;
   pragma Export (C, u00287, "system__tasking__rendezvousS");
   u00288 : constant Version_32 := 16#075ef918#;
   pragma Export (C, u00288, "ada__directoriesB");
   u00289 : constant Version_32 := 16#9c33e8ea#;
   pragma Export (C, u00289, "ada__directoriesS");
   u00290 : constant Version_32 := 16#7a13e6d7#;
   pragma Export (C, u00290, "ada__calendar__formattingB");
   u00291 : constant Version_32 := 16#929f882b#;
   pragma Export (C, u00291, "ada__calendar__formattingS");
   u00292 : constant Version_32 := 16#e559f18d#;
   pragma Export (C, u00292, "ada__directories__validityB");
   u00293 : constant Version_32 := 16#a2334639#;
   pragma Export (C, u00293, "ada__directories__validityS");
   u00294 : constant Version_32 := 16#daf128da#;
   pragma Export (C, u00294, "system__regexpB");
   u00295 : constant Version_32 := 16#5eb56aad#;
   pragma Export (C, u00295, "system__regexpS");
   u00296 : constant Version_32 := 16#a6c000df#;
   pragma Export (C, u00296, "templates_parserB");
   u00297 : constant Version_32 := 16#a9321c92#;
   pragma Export (C, u00297, "templates_parserS");
   u00298 : constant Version_32 := 16#e5d07804#;
   pragma Export (C, u00298, "ada__strings__hash_case_insensitiveB");
   u00299 : constant Version_32 := 16#f9e6d5c1#;
   pragma Export (C, u00299, "ada__strings__hash_case_insensitiveS");
   u00300 : constant Version_32 := 16#e1f42065#;
   pragma Export (C, u00300, "gnat__calendarB");
   u00301 : constant Version_32 := 16#d73dae4e#;
   pragma Export (C, u00301, "gnat__calendarS");
   u00302 : constant Version_32 := 16#8bfb0aae#;
   pragma Export (C, u00302, "gnat__calendar__time_ioB");
   u00303 : constant Version_32 := 16#1efff27c#;
   pragma Export (C, u00303, "gnat__calendar__time_ioS");
   u00304 : constant Version_32 := 16#d37ed4a2#;
   pragma Export (C, u00304, "gnat__case_utilB");
   u00305 : constant Version_32 := 16#5f04590f#;
   pragma Export (C, u00305, "gnat__case_utilS");
   u00306 : constant Version_32 := 16#c72dc161#;
   pragma Export (C, u00306, "gnat__regpatS");
   u00307 : constant Version_32 := 16#b97b88d3#;
   pragma Export (C, u00307, "system__regpatB");
   u00308 : constant Version_32 := 16#127e0a6e#;
   pragma Export (C, u00308, "system__regpatS");
   u00309 : constant Version_32 := 16#2b93a046#;
   pragma Export (C, u00309, "system__img_charB");
   u00310 : constant Version_32 := 16#0c10c9f6#;
   pragma Export (C, u00310, "system__img_charS");
   u00311 : constant Version_32 := 16#17561427#;
   pragma Export (C, u00311, "templates_parser__configurationS");
   u00312 : constant Version_32 := 16#d5e15f49#;
   pragma Export (C, u00312, "templates_parser__inputB");
   u00313 : constant Version_32 := 16#09f8a343#;
   pragma Export (C, u00313, "templates_parser__inputS");
   u00314 : constant Version_32 := 16#ace132c6#;
   pragma Export (C, u00314, "templates_parser__utilsB");
   u00315 : constant Version_32 := 16#cf06291e#;
   pragma Export (C, u00315, "templates_parser__utilsS");
   u00316 : constant Version_32 := 16#40a9c9d0#;
   pragma Export (C, u00316, "ada__environment_variablesB");
   u00317 : constant Version_32 := 16#35b9fcf5#;
   pragma Export (C, u00317, "ada__environment_variablesS");
   u00318 : constant Version_32 := 16#8adedb3e#;
   pragma Export (C, u00318, "templates_parser_taskingB");
   u00319 : constant Version_32 := 16#4c0209f0#;
   pragma Export (C, u00319, "templates_parser_taskingS");
   u00320 : constant Version_32 := 16#067abc3d#;
   pragma Export (C, u00320, "memory_streamsB");
   u00321 : constant Version_32 := 16#e7c465d7#;
   pragma Export (C, u00321, "memory_streamsS");
   u00322 : constant Version_32 := 16#fb3bcd4d#;
   pragma Export (C, u00322, "aws__resources__filesB");
   u00323 : constant Version_32 := 16#c08ecb1f#;
   pragma Export (C, u00323, "aws__resources__filesS");
   u00324 : constant Version_32 := 16#fd955264#;
   pragma Export (C, u00324, "aws__resources__streams__diskB");
   u00325 : constant Version_32 := 16#eaf5c4e0#;
   pragma Export (C, u00325, "aws__resources__streams__diskS");
   u00326 : constant Version_32 := 16#191b04d3#;
   pragma Export (C, u00326, "aws__resources__streams__memory__zlibB");
   u00327 : constant Version_32 := 16#18a1c553#;
   pragma Export (C, u00327, "aws__resources__streams__memory__zlibS");
   u00328 : constant Version_32 := 16#bb55398e#;
   pragma Export (C, u00328, "gnat__md5B");
   u00329 : constant Version_32 := 16#a37b6fea#;
   pragma Export (C, u00329, "gnat__md5S");
   u00330 : constant Version_32 := 16#0ad1c36a#;
   pragma Export (C, u00330, "gnat__secure_hashesB");
   u00331 : constant Version_32 := 16#593055bb#;
   pragma Export (C, u00331, "gnat__secure_hashesS");
   u00332 : constant Version_32 := 16#462993a2#;
   pragma Export (C, u00332, "gnat__secure_hashes__md5B");
   u00333 : constant Version_32 := 16#c968fbd1#;
   pragma Export (C, u00333, "gnat__secure_hashes__md5S");
   u00334 : constant Version_32 := 16#45efda4c#;
   pragma Export (C, u00334, "gnat__byte_swappingB");
   u00335 : constant Version_32 := 16#c9dc55d9#;
   pragma Export (C, u00335, "gnat__byte_swappingS");
   u00336 : constant Version_32 := 16#e9b8e551#;
   pragma Export (C, u00336, "system__byte_swappingS");
   u00337 : constant Version_32 := 16#ffb9a01d#;
   pragma Export (C, u00337, "aws__headersB");
   u00338 : constant Version_32 := 16#2ae4aa3b#;
   pragma Export (C, u00338, "aws__headersS");
   u00339 : constant Version_32 := 16#687151cf#;
   pragma Export (C, u00339, "aws__netB");
   u00340 : constant Version_32 := 16#df3403c6#;
   pragma Export (C, u00340, "aws__netS");
   u00341 : constant Version_32 := 16#f4e24db0#;
   pragma Export (C, u00341, "aws__net__logB");
   u00342 : constant Version_32 := 16#73a637d6#;
   pragma Export (C, u00342, "aws__net__logS");
   u00343 : constant Version_32 := 16#8f049b64#;
   pragma Export (C, u00343, "aws__net__poll_eventsB");
   u00344 : constant Version_32 := 16#f257e3c3#;
   pragma Export (C, u00344, "aws__net__poll_eventsS");
   u00345 : constant Version_32 := 16#cfbcbb15#;
   pragma Export (C, u00345, "aws__net__sslB");
   u00346 : constant Version_32 := 16#86a8d6a9#;
   pragma Export (C, u00346, "aws__net__sslS");
   u00347 : constant Version_32 := 16#c3ddb91d#;
   pragma Export (C, u00347, "aws__net__stdB");
   u00348 : constant Version_32 := 16#39d5a5b4#;
   pragma Export (C, u00348, "aws__net__stdS");
   u00349 : constant Version_32 := 16#72140dcf#;
   pragma Export (C, u00349, "sslS");
   u00350 : constant Version_32 := 16#82273f9a#;
   pragma Export (C, u00350, "ssl__thinS");
   u00351 : constant Version_32 := 16#a8f80766#;
   pragma Export (C, u00351, "aws__net__bufferedB");
   u00352 : constant Version_32 := 16#4781d2c7#;
   pragma Export (C, u00352, "aws__net__bufferedS");
   u00353 : constant Version_32 := 16#da742c1e#;
   pragma Export (C, u00353, "aws__defaultS");
   u00354 : constant Version_32 := 16#bdaf6514#;
   pragma Export (C, u00354, "aws__containers__tablesB");
   u00355 : constant Version_32 := 16#9d262e7d#;
   pragma Export (C, u00355, "aws__containers__tablesS");
   u00356 : constant Version_32 := 16#d9473c8c#;
   pragma Export (C, u00356, "ada__containers__red_black_treesS");
   u00357 : constant Version_32 := 16#add66f5b#;
   pragma Export (C, u00357, "aws__headers__setB");
   u00358 : constant Version_32 := 16#ea43438c#;
   pragma Export (C, u00358, "aws__headers__setS");
   u00359 : constant Version_32 := 16#99ca9f94#;
   pragma Export (C, u00359, "aws__containers__tables__setB");
   u00360 : constant Version_32 := 16#9a446e2e#;
   pragma Export (C, u00360, "aws__containers__tables__setS");
   u00361 : constant Version_32 := 16#67c959fd#;
   pragma Export (C, u00361, "aws__headers__valuesB");
   u00362 : constant Version_32 := 16#324be5d4#;
   pragma Export (C, u00362, "aws__headers__valuesS");
   u00363 : constant Version_32 := 16#76f39796#;
   pragma Export (C, u00363, "aws__messagesB");
   u00364 : constant Version_32 := 16#f107f5a5#;
   pragma Export (C, u00364, "aws__messagesS");
   u00365 : constant Version_32 := 16#db8a2945#;
   pragma Export (C, u00365, "aws__mimeB");
   u00366 : constant Version_32 := 16#e92c16f8#;
   pragma Export (C, u00366, "aws__mimeS");
   u00367 : constant Version_32 := 16#d0e4d0eb#;
   pragma Export (C, u00367, "aws__configB");
   u00368 : constant Version_32 := 16#a24d69f5#;
   pragma Export (C, u00368, "aws__configS");
   u00369 : constant Version_32 := 16#b50ec14e#;
   pragma Export (C, u00369, "aws__config__iniB");
   u00370 : constant Version_32 := 16#c99b8bac#;
   pragma Export (C, u00370, "aws__config__iniS");
   u00371 : constant Version_32 := 16#c31684e2#;
   pragma Export (C, u00371, "aws__config__utilsB");
   u00372 : constant Version_32 := 16#28bd6462#;
   pragma Export (C, u00372, "aws__config__utilsS");
   u00373 : constant Version_32 := 16#f89f7823#;
   pragma Export (C, u00373, "system__val_boolB");
   u00374 : constant Version_32 := 16#6ab6fd0f#;
   pragma Export (C, u00374, "system__val_boolS");
   u00375 : constant Version_32 := 16#4b37b589#;
   pragma Export (C, u00375, "system__val_enumB");
   u00376 : constant Version_32 := 16#2b3ed384#;
   pragma Export (C, u00376, "system__val_enumS");
   u00377 : constant Version_32 := 16#b5692847#;
   pragma Export (C, u00377, "aws__containers__string_vectorsB");
   u00378 : constant Version_32 := 16#745811be#;
   pragma Export (C, u00378, "aws__containers__string_vectorsS");
   u00379 : constant Version_32 := 16#084c16d0#;
   pragma Export (C, u00379, "gnat__regexpS");
   u00380 : constant Version_32 := 16#a09da0fa#;
   pragma Export (C, u00380, "aws__responseB");
   u00381 : constant Version_32 := 16#47f2335d#;
   pragma Export (C, u00381, "aws__responseS");
   u00382 : constant Version_32 := 16#7d894acf#;
   pragma Export (C, u00382, "aws__resources__streams__disk__onceB");
   u00383 : constant Version_32 := 16#d13e0a43#;
   pragma Export (C, u00383, "aws__resources__streams__disk__onceS");
   u00384 : constant Version_32 := 16#e6a0f8ae#;
   pragma Export (C, u00384, "aws__response__setB");
   u00385 : constant Version_32 := 16#f77e6dff#;
   pragma Export (C, u00385, "aws__response__setS");
   u00386 : constant Version_32 := 16#aac22f4f#;
   pragma Export (C, u00386, "aws__statusB");
   u00387 : constant Version_32 := 16#e904851c#;
   pragma Export (C, u00387, "aws__statusS");
   u00388 : constant Version_32 := 16#13fde8c6#;
   pragma Export (C, u00388, "system__fat_fltS");
   u00389 : constant Version_32 := 16#f30c5a1c#;
   pragma Export (C, u00389, "aws__attachmentsB");
   u00390 : constant Version_32 := 16#79ae578f#;
   pragma Export (C, u00390, "aws__attachmentsS");
   u00391 : constant Version_32 := 16#677c101f#;
   pragma Export (C, u00391, "aws__parametersB");
   u00392 : constant Version_32 := 16#0515292a#;
   pragma Export (C, u00392, "aws__parametersS");
   u00393 : constant Version_32 := 16#f95bc390#;
   pragma Export (C, u00393, "aws__sessionB");
   u00394 : constant Version_32 := 16#609ec55c#;
   pragma Export (C, u00394, "aws__sessionS");
   u00395 : constant Version_32 := 16#45724809#;
   pragma Export (C, u00395, "ada__calendar__delaysB");
   u00396 : constant Version_32 := 16#474dd4b1#;
   pragma Export (C, u00396, "ada__calendar__delaysS");
   u00397 : constant Version_32 := 16#f3f917f0#;
   pragma Export (C, u00397, "aws__containers__key_valueB");
   u00398 : constant Version_32 := 16#9029d814#;
   pragma Export (C, u00398, "aws__containers__key_valueS");
   u00399 : constant Version_32 := 16#75de7e55#;
   pragma Export (C, u00399, "aws__utils__streamsB");
   u00400 : constant Version_32 := 16#1ecda159#;
   pragma Export (C, u00400, "aws__utils__streamsS");
   u00401 : constant Version_32 := 16#077f0b47#;
   pragma Export (C, u00401, "gnat__sha1B");
   u00402 : constant Version_32 := 16#0cc2f93f#;
   pragma Export (C, u00402, "gnat__sha1S");
   u00403 : constant Version_32 := 16#cadfacae#;
   pragma Export (C, u00403, "gnat__secure_hashes__sha1B");
   u00404 : constant Version_32 := 16#dafb5fcd#;
   pragma Export (C, u00404, "gnat__secure_hashes__sha1S");
   u00405 : constant Version_32 := 16#48031dbe#;
   pragma Export (C, u00405, "system__tasking__stagesB");
   u00406 : constant Version_32 := 16#dd4b61af#;
   pragma Export (C, u00406, "system__tasking__stagesS");
   u00407 : constant Version_32 := 16#eafd36d7#;
   pragma Export (C, u00407, "aws__urlB");
   u00408 : constant Version_32 := 16#922da261#;
   pragma Export (C, u00408, "aws__urlS");
   u00409 : constant Version_32 := 16#daf4210b#;
   pragma Export (C, u00409, "aws__url__raise_url_errorB");
   u00410 : constant Version_32 := 16#f16a29a7#;
   pragma Export (C, u00410, "aws__url__raise_url_errorS");
   u00411 : constant Version_32 := 16#2f2ac321#;
   pragma Export (C, u00411, "aws__url__setB");
   u00412 : constant Version_32 := 16#9e90154b#;
   pragma Export (C, u00412, "aws__url__setS");
   u00413 : constant Version_32 := 16#748a5846#;
   pragma Export (C, u00413, "aws__parameters__setB");
   u00414 : constant Version_32 := 16#cd0a685a#;
   pragma Export (C, u00414, "aws__parameters__setS");
   u00415 : constant Version_32 := 16#65568fcd#;
   pragma Export (C, u00415, "aws__serverB");
   u00416 : constant Version_32 := 16#aecb0c93#;
   pragma Export (C, u00416, "aws__serverS");
   u00417 : constant Version_32 := 16#c5347ffb#;
   pragma Export (C, u00417, "aws__config__setB");
   u00418 : constant Version_32 := 16#e8ae648b#;
   pragma Export (C, u00418, "aws__config__setS");
   u00419 : constant Version_32 := 16#9326a64f#;
   pragma Export (C, u00419, "aws__dispatchersB");
   u00420 : constant Version_32 := 16#88fde3eb#;
   pragma Export (C, u00420, "aws__dispatchersS");
   u00421 : constant Version_32 := 16#81e6eced#;
   pragma Export (C, u00421, "aws__dispatchers__callbackB");
   u00422 : constant Version_32 := 16#05e98984#;
   pragma Export (C, u00422, "aws__dispatchers__callbackS");
   u00423 : constant Version_32 := 16#da45eece#;
   pragma Export (C, u00423, "aws__logB");
   u00424 : constant Version_32 := 16#2d03c9ef#;
   pragma Export (C, u00424, "aws__logS");
   u00425 : constant Version_32 := 16#ddb37e57#;
   pragma Export (C, u00425, "ada__text_io__c_streamsB");
   u00426 : constant Version_32 := 16#ca0493db#;
   pragma Export (C, u00426, "ada__text_io__c_streamsS");
   u00427 : constant Version_32 := 16#0fb21c19#;
   pragma Export (C, u00427, "aws__server__http_utilsB");
   u00428 : constant Version_32 := 16#cb3218b4#;
   pragma Export (C, u00428, "aws__server__http_utilsS");
   u00429 : constant Version_32 := 16#fed59548#;
   pragma Export (C, u00429, "aws__hotplugB");
   u00430 : constant Version_32 := 16#57b52d8e#;
   pragma Export (C, u00430, "aws__hotplugS");
   u00431 : constant Version_32 := 16#3ecd7774#;
   pragma Export (C, u00431, "aws__server__get_statusB");
   u00432 : constant Version_32 := 16#23f27933#;
   pragma Export (C, u00432, "aws__server__get_statusS");
   u00433 : constant Version_32 := 16#1d085dd8#;
   pragma Export (C, u00433, "aws__server__statusB");
   u00434 : constant Version_32 := 16#5e98b4fe#;
   pragma Export (C, u00434, "aws__server__statusS");
   u00435 : constant Version_32 := 16#73311a5a#;
   pragma Export (C, u00435, "aws__hotplug__get_statusB");
   u00436 : constant Version_32 := 16#55241afb#;
   pragma Export (C, u00436, "aws__hotplug__get_statusS");
   u00437 : constant Version_32 := 16#7bf579ad#;
   pragma Export (C, u00437, "aws__server__logB");
   u00438 : constant Version_32 := 16#16970c7d#;
   pragma Export (C, u00438, "aws__server__logS");
   u00439 : constant Version_32 := 16#041e0436#;
   pragma Export (C, u00439, "aws__templatesS");
   u00440 : constant Version_32 := 16#af135467#;
   pragma Export (C, u00440, "aws__status__setB");
   u00441 : constant Version_32 := 16#407ea76d#;
   pragma Export (C, u00441, "aws__status__setS");
   u00442 : constant Version_32 := 16#ced2e982#;
   pragma Export (C, u00442, "aws__servicesS");
   u00443 : constant Version_32 := 16#63bebb38#;
   pragma Export (C, u00443, "aws__services__transient_pagesB");
   u00444 : constant Version_32 := 16#3afa3428#;
   pragma Export (C, u00444, "aws__services__transient_pagesS");
   u00445 : constant Version_32 := 16#f8f412e2#;
   pragma Export (C, u00445, "ada__real_time__delaysB");
   u00446 : constant Version_32 := 16#6becaccd#;
   pragma Export (C, u00446, "ada__real_time__delaysS");
   u00447 : constant Version_32 := 16#9d530a35#;
   pragma Export (C, u00447, "aws__services__transient_pages__controlB");
   u00448 : constant Version_32 := 16#6950d8ce#;
   pragma Export (C, u00448, "aws__services__transient_pages__controlS");
   u00449 : constant Version_32 := 16#124ac81a#;
   pragma Export (C, u00449, "aws__session__controlB");
   u00450 : constant Version_32 := 16#82d14831#;
   pragma Export (C, u00450, "aws__session__controlS");
   u00451 : constant Version_32 := 16#7e37ec9f#;
   pragma Export (C, u00451, "aws__status__translate_setB");
   u00452 : constant Version_32 := 16#d57486d5#;
   pragma Export (C, u00452, "aws__status__translate_setS");
   u00453 : constant Version_32 := 16#8a110198#;
   pragma Export (C, u00453, "aws__exceptionsS");
   u00454 : constant Version_32 := 16#5e190d05#;
   pragma Export (C, u00454, "aws__net__acceptorsB");
   u00455 : constant Version_32 := 16#884c865e#;
   pragma Export (C, u00455, "aws__net__acceptorsS");
   u00456 : constant Version_32 := 16#faf0bf7f#;
   pragma Export (C, u00456, "aws__net__generic_setsB");
   u00457 : constant Version_32 := 16#7b6854b1#;
   pragma Export (C, u00457, "aws__net__generic_setsS");
   u00458 : constant Version_32 := 16#306602d9#;
   pragma Export (C, u00458, "system__tasking__task_attributesB");
   u00459 : constant Version_32 := 16#623a2245#;
   pragma Export (C, u00459, "system__tasking__task_attributesS");
   u00460 : constant Version_32 := 16#81cc46ef#;
   pragma Export (C, u00460, "aws__net__ssl__certificateB");
   u00461 : constant Version_32 := 16#04775e67#;
   pragma Export (C, u00461, "aws__net__ssl__certificateS");
   u00462 : constant Version_32 := 16#db98105c#;
   pragma Export (C, u00462, "gnat__command_lineB");
   u00463 : constant Version_32 := 16#33371422#;
   pragma Export (C, u00463, "gnat__command_lineS");
   u00464 : constant Version_32 := 16#24ca16a8#;
   pragma Export (C, u00464, "gnat__directory_operationsB");
   u00465 : constant Version_32 := 16#65ba3123#;
   pragma Export (C, u00465, "gnat__directory_operationsS");
   u00466 : constant Version_32 := 16#7d3103a4#;
   pragma Export (C, u00466, "gnat__stringsS");
   u00467 : constant Version_32 := 16#dbf24c7a#;
   pragma Export (C, u00467, "gnat__string_splitB");
   u00468 : constant Version_32 := 16#73637f33#;
   pragma Export (C, u00468, "gnat__string_splitS");
   u00469 : constant Version_32 := 16#00dbccb2#;
   pragma Export (C, u00469, "soapS");
   u00470 : constant Version_32 := 16#eee52e2e#;
   pragma Export (C, u00470, "soap__generatorB");
   u00471 : constant Version_32 := 16#7c4aeded#;
   pragma Export (C, u00471, "soap__generatorS");
   u00472 : constant Version_32 := 16#de97e40f#;
   pragma Export (C, u00472, "soap__clientB");
   u00473 : constant Version_32 := 16#dff2fc37#;
   pragma Export (C, u00473, "soap__clientS");
   u00474 : constant Version_32 := 16#4fff9c00#;
   pragma Export (C, u00474, "soap__messageB");
   u00475 : constant Version_32 := 16#1f7c7d80#;
   pragma Export (C, u00475, "soap__messageS");
   u00476 : constant Version_32 := 16#dff9b181#;
   pragma Export (C, u00476, "soap__typesB");
   u00477 : constant Version_32 := 16#6ae700b9#;
   pragma Export (C, u00477, "soap__typesS");
   u00478 : constant Version_32 := 16#e18a47a0#;
   pragma Export (C, u00478, "ada__float_text_ioB");
   u00479 : constant Version_32 := 16#e61b3c6c#;
   pragma Export (C, u00479, "ada__float_text_ioS");
   u00480 : constant Version_32 := 16#4969a46f#;
   pragma Export (C, u00480, "ada__long_float_text_ioB");
   u00481 : constant Version_32 := 16#4ef8dfa3#;
   pragma Export (C, u00481, "ada__long_float_text_ioS");
   u00482 : constant Version_32 := 16#12244c57#;
   pragma Export (C, u00482, "soap__types__untypedB");
   u00483 : constant Version_32 := 16#3a95d201#;
   pragma Export (C, u00483, "soap__types__untypedS");
   u00484 : constant Version_32 := 16#2aa25121#;
   pragma Export (C, u00484, "soap__name_spaceB");
   u00485 : constant Version_32 := 16#fb09e658#;
   pragma Export (C, u00485, "soap__name_spaceS");
   u00486 : constant Version_32 := 16#41a3061f#;
   pragma Export (C, u00486, "soap__utilsB");
   u00487 : constant Version_32 := 16#de028a4d#;
   pragma Export (C, u00487, "soap__utilsS");
   u00488 : constant Version_32 := 16#0234af2f#;
   pragma Export (C, u00488, "soap__message__xmlB");
   u00489 : constant Version_32 := 16#fe0c3898#;
   pragma Export (C, u00489, "soap__message__xmlS");
   u00490 : constant Version_32 := 16#58fe1d8d#;
   pragma Export (C, u00490, "aws__client__xmlS");
   u00491 : constant Version_32 := 16#10df0b4c#;
   pragma Export (C, u00491, "aws__client__xml__input_sourcesB");
   u00492 : constant Version_32 := 16#396a8075#;
   pragma Export (C, u00492, "aws__client__xml__input_sourcesS");
   u00493 : constant Version_32 := 16#d6ff7bd1#;
   pragma Export (C, u00493, "unicodeB");
   u00494 : constant Version_32 := 16#9ecc9bd9#;
   pragma Export (C, u00494, "unicodeS");
   u00495 : constant Version_32 := 16#600be4ac#;
   pragma Export (C, u00495, "unicode__namesS");
   u00496 : constant Version_32 := 16#e0b5339a#;
   pragma Export (C, u00496, "unicode__names__basic_latinS");
   u00497 : constant Version_32 := 16#50a7378d#;
   pragma Export (C, u00497, "unicode__ccsB");
   u00498 : constant Version_32 := 16#8682b207#;
   pragma Export (C, u00498, "unicode__ccsS");
   u00499 : constant Version_32 := 16#6a391607#;
   pragma Export (C, u00499, "unicode__cesB");
   u00500 : constant Version_32 := 16#d77cd5d6#;
   pragma Export (C, u00500, "unicode__cesS");
   u00501 : constant Version_32 := 16#816c6ab2#;
   pragma Export (C, u00501, "unicode__ces__utf16B");
   u00502 : constant Version_32 := 16#5ab27e03#;
   pragma Export (C, u00502, "unicode__ces__utf16S");
   u00503 : constant Version_32 := 16#9f0a233a#;
   pragma Export (C, u00503, "unicode__ces__utf32B");
   u00504 : constant Version_32 := 16#c87f189d#;
   pragma Export (C, u00504, "unicode__ces__utf32S");
   u00505 : constant Version_32 := 16#45fb2a8d#;
   pragma Export (C, u00505, "unicode__ces__utf8B");
   u00506 : constant Version_32 := 16#4c78fb3c#;
   pragma Export (C, u00506, "unicode__ces__utf8S");
   u00507 : constant Version_32 := 16#99536319#;
   pragma Export (C, u00507, "input_sourcesB");
   u00508 : constant Version_32 := 16#d5df6f37#;
   pragma Export (C, u00508, "input_sourcesS");
   u00509 : constant Version_32 := 16#6a9d6e00#;
   pragma Export (C, u00509, "unicode__ces__basic_8bitB");
   u00510 : constant Version_32 := 16#6d1099a4#;
   pragma Export (C, u00510, "unicode__ces__basic_8bitS");
   u00511 : constant Version_32 := 16#75e3174c#;
   pragma Export (C, u00511, "unicode__encodingsB");
   u00512 : constant Version_32 := 16#373ed31e#;
   pragma Export (C, u00512, "unicode__encodingsS");
   u00513 : constant Version_32 := 16#a85074b3#;
   pragma Export (C, u00513, "unicode__ccs__iso_8859_1B");
   u00514 : constant Version_32 := 16#8e38bcbd#;
   pragma Export (C, u00514, "unicode__ccs__iso_8859_1S");
   u00515 : constant Version_32 := 16#d1b0bf39#;
   pragma Export (C, u00515, "unicode__ccs__iso_8859_15B");
   u00516 : constant Version_32 := 16#92feba06#;
   pragma Export (C, u00516, "unicode__ccs__iso_8859_15S");
   u00517 : constant Version_32 := 16#f4a53196#;
   pragma Export (C, u00517, "unicode__names__currency_symbolsS");
   u00518 : constant Version_32 := 16#ef6463a7#;
   pragma Export (C, u00518, "unicode__names__latin_1_supplementS");
   u00519 : constant Version_32 := 16#c09150ac#;
   pragma Export (C, u00519, "unicode__names__latin_extended_aS");
   u00520 : constant Version_32 := 16#33ddf70b#;
   pragma Export (C, u00520, "unicode__ccs__iso_8859_2B");
   u00521 : constant Version_32 := 16#349a01be#;
   pragma Export (C, u00521, "unicode__ccs__iso_8859_2S");
   u00522 : constant Version_32 := 16#69ed8ca4#;
   pragma Export (C, u00522, "unicode__names__spacing_modifier_lettersS");
   u00523 : constant Version_32 := 16#5b8c6c01#;
   pragma Export (C, u00523, "unicode__ccs__iso_8859_3B");
   u00524 : constant Version_32 := 16#487a726a#;
   pragma Export (C, u00524, "unicode__ccs__iso_8859_3S");
   u00525 : constant Version_32 := 16#6797b048#;
   pragma Export (C, u00525, "unicode__ccs__iso_8859_4B");
   u00526 : constant Version_32 := 16#ad57c2bd#;
   pragma Export (C, u00526, "unicode__ccs__iso_8859_4S");
   u00527 : constant Version_32 := 16#19e431f1#;
   pragma Export (C, u00527, "unicode__ccs__windows_1251B");
   u00528 : constant Version_32 := 16#ba76c289#;
   pragma Export (C, u00528, "unicode__ccs__windows_1251S");
   u00529 : constant Version_32 := 16#e75ad8ad#;
   pragma Export (C, u00529, "unicode__names__cyrillicS");
   u00530 : constant Version_32 := 16#f37cfd49#;
   pragma Export (C, u00530, "unicode__names__general_punctuationS");
   u00531 : constant Version_32 := 16#9b0ee482#;
   pragma Export (C, u00531, "unicode__names__letterlike_symbolsS");
   u00532 : constant Version_32 := 16#b2c836b1#;
   pragma Export (C, u00532, "unicode__ccs__windows_1252B");
   u00533 : constant Version_32 := 16#7cee5e39#;
   pragma Export (C, u00533, "unicode__ccs__windows_1252S");
   u00534 : constant Version_32 := 16#989dc321#;
   pragma Export (C, u00534, "unicode__names__latin_extended_bS");
   u00535 : constant Version_32 := 16#2bd88f63#;
   pragma Export (C, u00535, "domS");
   u00536 : constant Version_32 := 16#8964dfb7#;
   pragma Export (C, u00536, "dom__coreB");
   u00537 : constant Version_32 := 16#e16c7fd0#;
   pragma Export (C, u00537, "dom__coreS");
   u00538 : constant Version_32 := 16#17965ec6#;
   pragma Export (C, u00538, "saxS");
   u00539 : constant Version_32 := 16#28c75388#;
   pragma Export (C, u00539, "sax__encodingsS");
   u00540 : constant Version_32 := 16#8cbfbab7#;
   pragma Export (C, u00540, "sax__symbolsB");
   u00541 : constant Version_32 := 16#e6acac8c#;
   pragma Export (C, u00541, "sax__symbolsS");
   u00542 : constant Version_32 := 16#00e9dcb1#;
   pragma Export (C, u00542, "gnat__task_lockS");
   u00543 : constant Version_32 := 16#863f9596#;
   pragma Export (C, u00543, "system__task_lockB");
   u00544 : constant Version_32 := 16#f1aea67f#;
   pragma Export (C, u00544, "system__task_lockS");
   u00545 : constant Version_32 := 16#4e2c89a9#;
   pragma Export (C, u00545, "sax__htableB");
   u00546 : constant Version_32 := 16#28f96881#;
   pragma Export (C, u00546, "sax__htableS");
   u00547 : constant Version_32 := 16#b3a04e5d#;
   pragma Export (C, u00547, "sax__pointersB");
   u00548 : constant Version_32 := 16#8e64dfb2#;
   pragma Export (C, u00548, "sax__pointersS");
   u00549 : constant Version_32 := 16#0c63d304#;
   pragma Export (C, u00549, "sax__utilsB");
   u00550 : constant Version_32 := 16#f0dc7f97#;
   pragma Export (C, u00550, "sax__utilsS");
   u00551 : constant Version_32 := 16#34fd598f#;
   pragma Export (C, u00551, "dom__core__nodesB");
   u00552 : constant Version_32 := 16#eba7b45e#;
   pragma Export (C, u00552, "dom__core__nodesS");
   u00553 : constant Version_32 := 16#eeeb4b65#;
   pragma Export (C, u00553, "ada__text_io__text_streamsB");
   u00554 : constant Version_32 := 16#e220fbb4#;
   pragma Export (C, u00554, "ada__text_io__text_streamsS");
   u00555 : constant Version_32 := 16#f3d8b96a#;
   pragma Export (C, u00555, "input_sources__stringsB");
   u00556 : constant Version_32 := 16#e8bb00ab#;
   pragma Export (C, u00556, "input_sources__stringsS");
   u00557 : constant Version_32 := 16#35307e3a#;
   pragma Export (C, u00557, "sax__readersB");
   u00558 : constant Version_32 := 16#14984151#;
   pragma Export (C, u00558, "sax__readersS");
   u00559 : constant Version_32 := 16#ca3060a8#;
   pragma Export (C, u00559, "input_sources__fileB");
   u00560 : constant Version_32 := 16#dbed6b26#;
   pragma Export (C, u00560, "input_sources__fileS");
   u00561 : constant Version_32 := 16#5f2d0fd4#;
   pragma Export (C, u00561, "sax__attributesB");
   u00562 : constant Version_32 := 16#5ab7981b#;
   pragma Export (C, u00562, "sax__attributesS");
   u00563 : constant Version_32 := 16#09343cf2#;
   pragma Export (C, u00563, "sax__modelsB");
   u00564 : constant Version_32 := 16#9f60b983#;
   pragma Export (C, u00564, "sax__modelsS");
   u00565 : constant Version_32 := 16#7b8ce256#;
   pragma Export (C, u00565, "sax__exceptionsB");
   u00566 : constant Version_32 := 16#35a34d63#;
   pragma Export (C, u00566, "sax__exceptionsS");
   u00567 : constant Version_32 := 16#39333ede#;
   pragma Export (C, u00567, "sax__locatorsB");
   u00568 : constant Version_32 := 16#aaab08ab#;
   pragma Export (C, u00568, "sax__locatorsS");
   u00569 : constant Version_32 := 16#6dd6d5f4#;
   pragma Export (C, u00569, "soap__message__readerB");
   u00570 : constant Version_32 := 16#189a39e9#;
   pragma Export (C, u00570, "soap__message__readerS");
   u00571 : constant Version_32 := 16#62e0a466#;
   pragma Export (C, u00571, "dom__core__documentsB");
   u00572 : constant Version_32 := 16#9493378d#;
   pragma Export (C, u00572, "dom__core__documentsS");
   u00573 : constant Version_32 := 16#65b22764#;
   pragma Export (C, u00573, "dom__core__elementsB");
   u00574 : constant Version_32 := 16#92281457#;
   pragma Export (C, u00574, "dom__core__elementsS");
   u00575 : constant Version_32 := 16#d6cfcab7#;
   pragma Export (C, u00575, "dom__core__attrsB");
   u00576 : constant Version_32 := 16#4f3aef62#;
   pragma Export (C, u00576, "dom__core__attrsS");
   u00577 : constant Version_32 := 16#c7a68950#;
   pragma Export (C, u00577, "soap__message__responseB");
   u00578 : constant Version_32 := 16#e9118230#;
   pragma Export (C, u00578, "soap__message__responseS");
   u00579 : constant Version_32 := 16#a3e9c126#;
   pragma Export (C, u00579, "soap__message__payloadB");
   u00580 : constant Version_32 := 16#8a46c830#;
   pragma Export (C, u00580, "soap__message__payloadS");
   u00581 : constant Version_32 := 16#9932d015#;
   pragma Export (C, u00581, "soap__parametersB");
   u00582 : constant Version_32 := 16#3e9c62dc#;
   pragma Export (C, u00582, "soap__parametersS");
   u00583 : constant Version_32 := 16#c8f32c87#;
   pragma Export (C, u00583, "soap__message__response__errorB");
   u00584 : constant Version_32 := 16#5416e5ff#;
   pragma Export (C, u00584, "soap__message__response__errorS");
   u00585 : constant Version_32 := 16#3d629763#;
   pragma Export (C, u00585, "soap__xmlB");
   u00586 : constant Version_32 := 16#71a6ecd7#;
   pragma Export (C, u00586, "soap__xmlS");
   u00587 : constant Version_32 := 16#71bb1daf#;
   pragma Export (C, u00587, "soap__wsdlB");
   u00588 : constant Version_32 := 16#f5cef3b0#;
   pragma Export (C, u00588, "soap__wsdlS");
   u00589 : constant Version_32 := 16#75eb9a45#;
   pragma Export (C, u00589, "dom__readersB");
   u00590 : constant Version_32 := 16#a3f5f0b5#;
   pragma Export (C, u00590, "dom__readersS");
   u00591 : constant Version_32 := 16#9ff1faba#;
   pragma Export (C, u00591, "dom__core__character_datasB");
   u00592 : constant Version_32 := 16#06ea1232#;
   pragma Export (C, u00592, "dom__core__character_datasS");
   u00593 : constant Version_32 := 16#3e8eb0a7#;
   pragma Export (C, u00593, "soap__wsdl__parametersB");
   u00594 : constant Version_32 := 16#33ea6b70#;
   pragma Export (C, u00594, "soap__wsdl__parametersS");
   u00595 : constant Version_32 := 16#442b5af4#;
   pragma Export (C, u00595, "soap__wsdl__parserB");
   u00596 : constant Version_32 := 16#b346b32a#;
   pragma Export (C, u00596, "soap__wsdl__parserS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.handling%s
   --  ada.characters.latin_1%s
   --  ada.command_line%s
   --  ada.environment_variables%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  gnat.byte_swapping%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.arith_64%s
   --  system.atomic_counters%s
   --  system.atomic_counters%b
   --  system.byte_swapping%s
   --  gnat.byte_swapping%b
   --  system.case_util%s
   --  system.case_util%b
   --  gnat.case_util%s
   --  gnat.case_util%b
   --  system.exn_llf%s
   --  system.exn_llf%b
   --  system.exn_lli%s
   --  system.exn_lli%b
   --  system.float_control%s
   --  system.float_control%b
   --  system.htable%s
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_char%s
   --  system.img_char%b
   --  system.img_dec%s
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.img_dec%b
   --  system.img_lld%s
   --  system.img_lli%s
   --  system.img_lli%b
   --  system.img_lld%b
   --  system.img_real%s
   --  system.io%s
   --  system.io%b
   --  system.linux%s
   --  system.machine_code%s
   --  system.multiprocessors%s
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.powten_table%s
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.stack_checking.operations%s
   --  system.stack_usage%s
   --  system.stack_usage%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  gnat.strings%s
   --  system.os_lib%s
   --  gnat.os_lib%s
   --  system.task_lock%s
   --  gnat.task_lock%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.arith_64%b
   --  ada.exceptions.is_null_occurrence%s
   --  ada.exceptions.is_null_occurrence%b
   --  system.soft_links%s
   --  system.task_lock%b
   --  system.stack_checking.operations%b
   --  system.traces%s
   --  system.traces%b
   --  system.unsigned_types%s
   --  system.fat_flt%s
   --  system.fat_lflt%s
   --  system.fat_llf%s
   --  system.img_biu%s
   --  system.img_biu%b
   --  system.img_llb%s
   --  system.img_llb%b
   --  system.img_llu%s
   --  system.img_llu%b
   --  system.img_llw%s
   --  system.img_llw%b
   --  system.img_uns%s
   --  system.img_uns%b
   --  system.img_real%b
   --  system.img_wiu%s
   --  system.img_wiu%b
   --  system.val_bool%s
   --  system.val_enum%s
   --  system.val_int%s
   --  system.val_lli%s
   --  system.val_llu%s
   --  system.val_real%s
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.val_real%b
   --  system.val_llu%b
   --  system.val_lli%b
   --  system.val_int%b
   --  system.val_enum%b
   --  system.val_bool%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  system.address_image%s
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.concat_3%s
   --  system.concat_3%b
   --  system.concat_4%s
   --  system.concat_4%b
   --  system.concat_5%s
   --  system.concat_5%b
   --  system.concat_6%s
   --  system.concat_6%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.containers%s
   --  ada.containers.hash_tables%s
   --  ada.containers.prime_numbers%s
   --  ada.containers.prime_numbers%b
   --  ada.containers.red_black_trees%s
   --  ada.io_exceptions%s
   --  ada.numerics%s
   --  ada.numerics.aux%s
   --  ada.numerics.aux%b
   --  ada.numerics.long_elementary_functions%s
   --  ada.numerics.long_elementary_functions%b
   --  ada.strings%s
   --  ada.strings.hash%s
   --  ada.strings.hash%b
   --  ada.strings.hash_case_insensitive%s
   --  ada.strings.maps%s
   --  ada.strings.fixed%s
   --  ada.strings.maps.constants%s
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.tags%s
   --  ada.streams%s
   --  interfaces.c%s
   --  system.multiprocessors%b
   --  interfaces.c.strings%s
   --  system.communication%s
   --  system.communication%b
   --  system.crtl.runtime%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.finalization%b
   --  system.os_constants%s
   --  system.os_interface%s
   --  system.os_interface%b
   --  system.interrupt_management%s
   --  system.regpat%s
   --  gnat.regpat%s
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  system.task_info%s
   --  system.task_info%b
   --  system.task_primitives%s
   --  system.interrupt_management%b
   --  system.tasking%s
   --  ada.task_identification%s
   --  system.task_primitives.operations%s
   --  system.tasking%b
   --  system.tasking.debug%s
   --  system.tasking.debug%b
   --  system.task_primitives.operations%b
   --  system.traces.tasking%s
   --  system.traces.tasking%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.calendar.delays%s
   --  ada.calendar.delays%b
   --  ada.calendar.time_zones%s
   --  ada.calendar.time_zones%b
   --  ada.calendar.formatting%s
   --  gnat.calendar%s
   --  gnat.calendar%b
   --  gnat.calendar.time_io%s
   --  gnat.directory_operations%s
   --  gnat.secure_hashes%s
   --  gnat.secure_hashes%b
   --  gnat.secure_hashes.md5%s
   --  gnat.secure_hashes.md5%b
   --  gnat.md5%s
   --  gnat.md5%b
   --  gnat.secure_hashes.sha1%s
   --  gnat.secure_hashes.sha1%b
   --  gnat.sha1%s
   --  gnat.sha1%b
   --  system.assertions%s
   --  system.assertions%b
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.file_control_block%s
   --  ada.streams.stream_io%s
   --  system.file_io%s
   --  ada.streams.stream_io%b
   --  system.random_numbers%s
   --  system.random_seed%s
   --  system.random_seed%b
   --  system.secondary_stack%s
   --  system.file_io%b
   --  system.storage_pools.subpools%b
   --  system.finalization_masters%b
   --  system.regpat%b
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  ada.tags%b
   --  ada.strings.fixed%b
   --  ada.strings.maps%b
   --  ada.strings.hash_case_insensitive%b
   --  system.soft_links%b
   --  system.os_lib%b
   --  ada.environment_variables%b
   --  ada.command_line%b
   --  ada.characters.handling%b
   --  system.secondary_stack%b
   --  system.random_numbers%b
   --  gnat.directory_operations%b
   --  ada.calendar.formatting%b
   --  system.address_image%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  ada.directories%s
   --  ada.directories.validity%s
   --  ada.directories.validity%b
   --  gnat.string_split%s
   --  gnat.string_split%b
   --  system.regexp%s
   --  system.regexp%b
   --  ada.directories%b
   --  gnat.regexp%s
   --  gnat.command_line%s
   --  system.soft_links.tasking%s
   --  system.soft_links.tasking%b
   --  system.strings.stream_ops%s
   --  system.strings.stream_ops%b
   --  system.tasking.entry_calls%s
   --  system.tasking.initialization%s
   --  system.tasking.initialization%b
   --  system.tasking.protected_objects%s
   --  system.tasking.protected_objects%b
   --  system.tasking.task_attributes%s
   --  system.tasking.task_attributes%b
   --  system.tasking.utilities%s
   --  ada.task_identification%b
   --  system.traceback%s
   --  ada.exceptions%b
   --  system.traceback%b
   --  ada.real_time%s
   --  ada.real_time%b
   --  ada.real_time.delays%s
   --  ada.real_time.delays%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  gnat.command_line%b
   --  gnat.calendar.time_io%b
   --  ada.text_io.c_streams%s
   --  ada.text_io.c_streams%b
   --  ada.text_io.float_aux%s
   --  ada.float_text_io%s
   --  ada.float_text_io%b
   --  ada.long_float_text_io%s
   --  ada.long_float_text_io%b
   --  ada.text_io.generic_aux%s
   --  ada.text_io.generic_aux%b
   --  ada.text_io.float_aux%b
   --  ada.text_io.integer_aux%s
   --  ada.text_io.integer_aux%b
   --  ada.integer_text_io%s
   --  ada.integer_text_io%b
   --  ada.text_io.text_streams%s
   --  ada.text_io.text_streams%b
   --  system.tasking.protected_objects.entries%s
   --  system.tasking.protected_objects.entries%b
   --  system.tasking.queuing%s
   --  system.tasking.queuing%b
   --  system.tasking.utilities%b
   --  system.tasking.rendezvous%s
   --  system.tasking.protected_objects.operations%s
   --  system.tasking.protected_objects.operations%b
   --  system.tasking.rendezvous%b
   --  system.tasking.entry_calls%b
   --  system.tasking.stages%s
   --  system.tasking.stages%b
   --  aws%s
   --  aws.containers%s
   --  aws.default%s
   --  aws.services%s
   --  ssl%s
   --  unicode%s
   --  unicode.names%s
   --  unicode.names.basic_latin%s
   --  unicode%b
   --  zlib%b
   --  aws.containers.key_value%s
   --  aws.containers.key_value%b
   --  aws.containers.string_vectors%s
   --  aws.containers.string_vectors%b
   --  aws.config%s
   --  aws.config.ini%s
   --  aws.config%b
   --  aws.config.set%s
   --  aws.config.utils%s
   --  aws.containers.tables%s
   --  aws.containers.tables%b
   --  aws.containers.tables.set%s
   --  aws.containers.tables.set%b
   --  aws.digest%s
   --  aws.messages%s
   --  aws.mime%s
   --  aws.os_lib%s
   --  aws.parameters%s
   --  aws.parameters%b
   --  aws.session%s
   --  aws.session.control%s
   --  aws.session.control%b
   --  aws.url%s
   --  aws.url.raise_url_error%s
   --  aws.url.raise_url_error%b
   --  aws.url.set%s
   --  dom%s
   --  memory_streams%s
   --  memory_streams%b
   --  sax%s
   --  sax.htable%s
   --  sax.htable%b
   --  sax.pointers%s
   --  sax.pointers%b
   --  soap%s
   --  soap.name_space%s
   --  soap.name_space%b
   --  soap.types%s
   --  soap.parameters%s
   --  soap.parameters%b
   --  soap.message%s
   --  soap.message%b
   --  soap.message.payload%s
   --  soap.message.payload%b
   --  soap.types.untyped%s
   --  ssl.thin%s
   --  templates_parser_tasking%s
   --  templates_parser_tasking%b
   --  templates_parser%s
   --  aws.templates%s
   --  templates_parser.configuration%s
   --  templates_parser.input%s
   --  templates_parser.input%b
   --  templates_parser.utils%s
   --  templates_parser.utils%b
   --  templates_parser%b
   --  aws.utils%s
   --  aws.utils%b
   --  aws.url%b
   --  aws.config.set%b
   --  aws.config.ini%b
   --  aws.containers.memory_streams%s
   --  aws.containers.memory_streams%b
   --  aws.net%s
   --  aws.headers%s
   --  aws.attachments%s
   --  aws.headers.set%s
   --  aws.headers.values%s
   --  aws.headers.values%b
   --  aws.messages%b
   --  aws.net.buffered%s
   --  aws.headers.set%b
   --  aws.headers%b
   --  aws.config.utils%b
   --  aws.net.generic_sets%s
   --  aws.net.generic_sets%b
   --  aws.net.log%s
   --  aws.net.log%b
   --  aws.net.poll_events%s
   --  aws.net.poll_events%b
   --  aws.net.std%s
   --  aws.net.std%b
   --  aws.net.ssl%s
   --  aws.net.ssl%b
   --  aws.net%b
   --  aws.net.acceptors%s
   --  aws.net.acceptors%b
   --  aws.net.ssl.certificate%s
   --  aws.net.ssl.certificate%b
   --  aws.parameters.set%s
   --  aws.url.set%b
   --  aws.resources%s
   --  aws.resources.files%s
   --  aws.resources.streams%s
   --  aws.resources.streams%b
   --  aws.resources.streams.disk%s
   --  aws.resources.streams.disk%b
   --  aws.resources.streams.disk.once%s
   --  aws.resources.streams.disk.once%b
   --  aws.resources.streams.memory%s
   --  aws.resources.streams.memory%b
   --  aws.resources.embedded%s
   --  aws.resources%b
   --  aws.resources.streams.memory.zlib%s
   --  aws.resources.streams.memory.zlib%b
   --  aws.resources.streams.zlib%s
   --  aws.resources.streams.zlib%b
   --  aws.resources.embedded%b
   --  aws.resources.files%b
   --  aws.services.transient_pages%s
   --  aws.services.transient_pages%b
   --  aws.services.transient_pages.control%s
   --  aws.services.transient_pages.control%b
   --  aws.status%s
   --  aws.response%s
   --  aws.dispatchers%s
   --  aws.dispatchers%b
   --  aws.dispatchers.callback%s
   --  aws.dispatchers.callback%b
   --  aws.hotplug%s
   --  aws.hotplug.get_status%s
   --  aws.hotplug.get_status%b
   --  aws.log%s
   --  aws.log%b
   --  aws.exceptions%s
   --  aws.response.set%s
   --  aws.server%s
   --  aws.server.get_status%s
   --  aws.server.http_utils%s
   --  aws.server.log%s
   --  aws.server.log%b
   --  aws.server.status%s
   --  aws.server.status%b
   --  aws.server.get_status%b
   --  aws.status.set%s
   --  aws.status.translate_set%s
   --  aws.status.translate_set%b
   --  aws.server%b
   --  aws.translator%s
   --  aws.translator%b
   --  aws.status.set%b
   --  aws.server.http_utils%b
   --  aws.response.set%b
   --  aws.response%b
   --  aws.status%b
   --  aws.parameters.set%b
   --  aws.net.buffered%b
   --  aws.attachments%b
   --  aws.mime%b
   --  aws.digest%b
   --  aws.client%s
   --  aws.hotplug%b
   --  aws.client.http_utils%s
   --  aws.client.http_utils%b
   --  aws.client%b
   --  aws.client.xml%s
   --  aws.utils.streams%s
   --  aws.utils.streams%b
   --  aws.session%b
   --  soap.message.response%s
   --  soap.client%s
   --  soap.message.response.error%s
   --  soap.message.xml%s
   --  soap.client%b
   --  soap.message.response%b
   --  soap.utils%s
   --  soap.message.response.error%b
   --  soap.types.untyped%b
   --  soap.types%b
   --  unicode.ccs%s
   --  unicode.ccs%b
   --  unicode.ccs.iso_8859_1%s
   --  unicode.ccs.iso_8859_1%b
   --  unicode.ccs.iso_8859_15%s
   --  unicode.ccs.iso_8859_2%s
   --  unicode.ccs.iso_8859_3%s
   --  unicode.ccs.iso_8859_4%s
   --  unicode.ccs.windows_1251%s
   --  unicode.ccs.windows_1252%s
   --  unicode.ces%s
   --  unicode.ces%b
   --  sax.symbols%s
   --  sax.symbols%b
   --  sax.locators%s
   --  sax.locators%b
   --  sax.exceptions%s
   --  sax.exceptions%b
   --  sax.models%s
   --  sax.attributes%s
   --  sax.attributes%b
   --  sax.utils%s
   --  dom.core%s
   --  dom.core.documents%s
   --  soap.wsdl%s
   --  soap.wsdl.parameters%s
   --  soap.wsdl.parameters%b
   --  soap.wsdl.parser%s
   --  soap.generator%s
   --  soap.generator%b
   --  wsdl2aws%b
   --  soap.xml%s
   --  unicode.ces.utf32%s
   --  unicode.ces.utf32%b
   --  unicode.ces.basic_8bit%s
   --  unicode.ces.basic_8bit%b
   --  input_sources%s
   --  aws.client.xml.input_sources%s
   --  input_sources.file%s
   --  input_sources.strings%s
   --  sax.readers%s
   --  dom.readers%s
   --  soap.wsdl%b
   --  soap.message.reader%s
   --  unicode.ces.utf16%s
   --  unicode.ces.utf16%b
   --  unicode.ces.utf8%s
   --  unicode.ces.utf8%b
   --  input_sources.strings%b
   --  input_sources.file%b
   --  aws.client.xml.input_sources%b
   --  soap.utils%b
   --  sax.encodings%s
   --  sax.readers%b
   --  dom.core%b
   --  sax.utils%b
   --  sax.models%b
   --  unicode.encodings%s
   --  unicode.encodings%b
   --  input_sources%b
   --  dom.core.nodes%s
   --  dom.core.nodes%b
   --  soap.xml%b
   --  soap.wsdl.parser%b
   --  soap.message.xml%b
   --  dom.core.attrs%s
   --  dom.core.attrs%b
   --  dom.core.character_datas%s
   --  dom.core.character_datas%b
   --  dom.core.elements%s
   --  dom.core.elements%b
   --  soap.message.reader%b
   --  dom.readers%b
   --  dom.core.documents%b
   --  unicode.names.currency_symbols%s
   --  unicode.names.cyrillic%s
   --  unicode.names.general_punctuation%s
   --  unicode.names.latin_1_supplement%s
   --  unicode.names.latin_extended_a%s
   --  unicode.ccs.iso_8859_15%b
   --  unicode.names.latin_extended_b%s
   --  unicode.names.letterlike_symbols%s
   --  unicode.ccs.windows_1251%b
   --  unicode.names.spacing_modifier_letters%s
   --  unicode.ccs.windows_1252%b
   --  unicode.ccs.iso_8859_4%b
   --  unicode.ccs.iso_8859_3%b
   --  unicode.ccs.iso_8859_2%b
   --  zlib%s
   --  END ELABORATION ORDER


end ada_main;
